@base <https://purl.org/coscine/ap/qudt/quantitykind/LinearAbsorptionCoefficient/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/LinearAbsorptionCoefficient/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Linear Absorption Coefficient sind."@de,
    "Profile for all units that are a/an Linear Absorption Coefficient."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Linear Absorption Coefficient"@de,
    "Unit: Linear Absorption Coefficient"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:PER-KiloM unit:PER-M unit:PER-MicroM unit:PER-MilliM unit:PER-NanoM unit:PER-PicoM ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:PER-KiloM rdfs:label "Reciprocal Kilometer"@en-us, "Reciprocal Kilometre"@en .
unit:PER-M rdfs:label "Reciprocal Meter"@en-us, "Reciprocal Metre"@en .
unit:PER-MicroM rdfs:label "Reciprocal Micrometer"@en-us, "Reciprocal Micrometre"@en .
unit:PER-MilliM rdfs:label "Reciprocal Millimeter"@en-us, "Reciprocal Millimetre"@en .
unit:PER-NanoM rdfs:label "Reciprocal Nanometer"@en-us, "Reciprocal Nanometre"@en .
unit:PER-PicoM rdfs:label "Reciprocal Picometer"@en-us, "Reciprocal Picometre"@en .
